%define dist .fc6

%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

%define glib_version 2.6.0
%define gtk_version 2.4.0
%define gnome_panel_version 2.2.0
%define gnome_python_version 2.9.0
%define gtksourceview_version 1.1.90 
%define libwnck_version 2.8.0
%define libgtop_version 2.9.5
%define nautilus_cd_burner_version 2.15.3
%define gnome_media_version 2.12.0
%define nautilus_version 2.12.0
%define metacity_version 2.15.5

Summary: The sources for additional PyGNOME Python extension modules for the GNOME desktop
Name: gnome-python2-desktop
Version: 2.16.0
Release: 1%{?dist}.XOS.1
License: GPL/LGPL
Group: Development/Languages
Source0: ftp://ftp.gnome.org:/pub/gnome/sources/gnome-python-desktop/2.13/gnome-python-desktop-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: gnome-python2 >= %{gnome_python_version}
Requires: python-abi = %{pyver}
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: gtk2-devel >= %{gtk_version}
BuildRequires: pygtk2-devel >= %{gtk_version}
BuildRequires: gnome-python2 >= %{gnome_python_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel_version}
BuildRequires: libgnomeprintui22-devel
BuildRequires: gtksourceview-devel >= %{gtksourceview_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libgtop2-devel >= %{libgtop_version}
BuildRequires: totem-devel
BuildRequires: python-devel
BuildRequires: metacity >= %{metacity_version}
BuildRequires: librsvg2-devel
BuildRequires: gnome-desktop-devel
%ifnarch s390 s390x
BuildRequires: gnome-media-devel >= %{gnome_media_version}
BuildRequires: nautilus-cd-burner-devel >= %{nautilus_cd_burner_version}
%endif

%description
The gnome-python-desktop package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.


%package -n gnome-python2-applet
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet

%description -n gnome-python2-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.


%package -n gnome-python2-gnomeprint
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Languages
Requires: libgnomeprint22, libgnomeprintui22

%description -n gnome-python2-gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.


%package -n gnome-python2-gtksourceview
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with the gtksourceview library 
Group: Development/Languages
Requires:  gtksourceview >= %{gtksourceview_version}
Requires: gnome-python2-gnomeprint

%description -n gnome-python2-gtksourceview
This module contains a wrapper that allows the use of gtksourceview via
Python.


%package -n gnome-python2-libwnck
Summary: Python bindings for interacting with libwnck
Group: Development/Languages
Requires:  libwnck >= %{libwnck_version}

%description -n gnome-python2-libwnck
This module contains a wrapper that allows the use of libwnck via
Python.


%package -n gnome-python2-libgtop2
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgtop
Group: Development/Languages
Requires:  libgtop2 >= %{libgtop_version}

%description -n gnome-python2-libgtop2
This module contains a wrapper that allows the use of libgtop via
Python.

%ifnarch s390 s390x
%package -n gnome-python2-nautilus-cd-burner
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with nautilus-cd-burner
Group: Development/Languages
Requires:  nautilus-cd-burner >= %{nautilus_cd_burner_version}

%description -n gnome-python2-nautilus-cd-burner
This module contains a wrapper that allows the use of nautilus-cd-burner
via Python.
%endif

%package -n gnome-python2-metacity
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with metacity
Group: Development/Languages
Requires:  metacity >= %{metacity_version}

%description -n gnome-python2-metacity
This module contains a wrapper that allows the use of metacity 
via Python.

%package -n gnome-python2-totem
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with totem
Group: Development/Languages

%description -n gnome-python2-totem
This module contains a wrapper that allows the use of totem
via Python.

%package -n gnome-python2-rsvg
Requires: librsvg2
Summary: Python bindings for interacting with librsvg
Group: Development/Languages

%description -n gnome-python2-rsvg
This module contains a wrapper that allows the use of librsvg
via Python.

%package -n gnome-python2-gnomedesktop
Requires: %{name} = %{version}-%{release}
Requires: gnome-desktop
Summary: Python bindings for interacting with gnome-desktop
Group: Development/Languages

%description -n gnome-python2-gnomedesktop
This module contains a wrapper that allows the use of gnome-desktop
via Python.

%package -n gnome-python2-gnomekeyring
Requires: %{name} = %{version}-%{release}
Requires: gnome-keyring
Summary: Python bindings for interacting with gnome-keyring
Group: Development/Languages

%description -n gnome-python2-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring
via Python.

%prep
%setup -q -n gnome-python-desktop-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gksu

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-desktop-2.0.pc
%{_datadir}/pygtk

%files -n gnome-python2-applet
%defattr(-,root,root,-)
%dir %{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnome/applet.*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomeapplet.so


%files -n gnome-python2-gnomeprint
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprint
%{_datadir}/gtk-doc/html/pygnomeprintui
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gnomeprint/*


%files -n gnome-python2-gtksourceview
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtksourceview.so
%{_datadir}/gtk-doc/html/pygtksourceview
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gtksourceview/*


%files -n gnome-python2-libwnck
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/wnck.so


%files -n gnome-python2-libgtop2
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtop.so


%ifnarch s390 s390x
%files -n gnome-python2-nautilus-cd-burner
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/nautilusburn.so
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/nautilusburn/*
%endif


%files -n gnome-python2-metacity
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/metacity.so


%files -n gnome-python2-totem
%defattr(-,root,root,-)
%ifnarch s390 s390x
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/mediaprofiles.so
%endif
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/totem

%files -n gnome-python2-rsvg
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/rsvg.so

%files -n gnome-python2-gnomedesktop
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomedesktop

%files -n gnome-python2-gnomekeyring
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomekeyring.so

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 2.16.0-1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gnome-python2-desktop-2.16.0-1.fc6.src.rpm
  (md5sum of original source rpm: 5c9d71fc88e6c73ffdbf377b9d365690).
- Include "dist" macro with value ".fc6" to match the original release number.

* Tue Sep  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Tue Aug 22 2006 Dan Williams <dcbw@redhat.com> - 2.15.90-2.fc6
- Remove unecessary dependencies on gnome-python2-desktop from
    -libwnck and -rsvg subpackages (OLPC)

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Thu Jul 20 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-2
- Rebuild against dbus

* Thu Jul 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-4.1
- rebuild

* Thu Jun 15 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-4
- Create gnomekeyring subpackage
- block out the nautilus-cd stuff

* Thu Jun 15 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-2
- Bump for new nautilus-cd-burner

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Tue May 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2
- Add subpackages gnome-python2-rsvg and gnome-python2-gnomedesktop

* Wed May 24 2006 John (J5) Palmieri <johnp@redhat.com> - 2.14.0-2
- Add pygtk2 BR

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.de> 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.3-2
- Buildrequires: python-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.3-1.1
- bump again for double-long bug on ppc(64)

* Mon Feb  6 2006 John (J5) Palmieri <johnp@redhat.com> - 2.13.3-1
- Initial build.

